Bug 433596 (CVE-2008-0947) - CVE-2008-0947 krb5: file descriptor array overflow in RPC library
Summary: CVE-2008-0947 krb5: file descriptor array overflow in RPC library
Status: CLOSED ERRATA
Alias: CVE-2008-0947
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=upstream,reported=20080219,pub...
Keywords: Security
Depends On: 434923 434924 438022 438023
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-20 08:30 UTC by Tomas Hoger
Modified: 2019-06-08 12:28 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2008-03-31 09:43:27 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0164 normal SHIPPED_LIVE Critical: krb5 security and bugfix update 2008-03-18 19:26:13 UTC

Description Tomas Hoger 2008-02-20 08:30:42 UTC
MIT Kerberos Team reported following issue affecting RPC library server code
used by kadmin server:

A bug in the RPC library server code, used in the kadmin server,
causes an array overrun if too many file descriptors are opened.
Memory corruption can result.

Acknowledgements:

Red Hat would like to thank MIT and Jeff Altman of Secure Endpoints for reporting this issue.

Comment 7 Tomas Hoger 2008-03-18 18:23:52 UTC
Public now:

  http://web.mit.edu/kerberos/advisories/MITKRB5-SA-2008-002.txt

Lifting embargo.

Comment 8 Tomas Hoger 2008-03-18 18:27:30 UTC
This issue only affected krb5 package in Red Hat Enterprise Linux 5 and Fedora.

However, default configuration did not affect default configuration.  This issue
only affected systems configured to use higher resource limit than default 1024
for 'open files'.

Comment 10 Fedora Update System 2008-03-18 18:49:50 UTC
krb5-1.6.1-9.fc7 has been submitted as an update for Fedora 7

Comment 11 Fedora Update System 2008-03-18 18:50:43 UTC
krb5-1.6.2-14.fc8 has been submitted as an update for Fedora 8

Comment 12 Fedora Update System 2008-03-21 22:17:10 UTC
krb5-1.6.1-9.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2008-03-21 22:20:13 UTC
krb5-1.6.2-14.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.